> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search concepts

> Concepts whose name, synonym, id or definition matches, across the ontologies you can see (their approved versions, and your own drafts).



## OpenAPI

````yaml get /api/registry/ontologies/search
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/registry/ontologies/search:
    get:
      tags:
        - Ontologies
      summary: Search concepts
      description: >-
        Concepts whose name, synonym, id or definition matches, across the
        ontologies you can see (their approved versions, and your own drafts).
      operationId: search_concepts_api_registry_ontologies_search_get
      parameters:
        - name: q
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 200
            description: What to look for.
            title: Q
          description: What to look for.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 25
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConceptSearchResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    ConceptSearchResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ConceptHit'
          type: array
          title: Items
      type: object
      required:
        - items
      title: ConceptSearchResponse
      description: Concepts matching a search, across the ontologies you can see.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    ConceptHit:
      properties:
        ontology:
          type: string
          title: Ontology
        ontology_id:
          type: string
          format: uuid
          title: Ontology Id
        version:
          type: string
          title: Version
        status:
          type: string
          title: Status
        concept:
          type: string
          title: Concept
        name:
          type: string
          title: Name
        group:
          anyOf:
            - type: string
            - type: 'null'
          title: Group
        definition:
          type: string
          title: Definition
          default: ''
        synonyms:
          items:
            type: string
          type: array
          title: Synonyms
        match:
          type: string
          enum:
            - name
            - synonym
            - definition
            - id
          title: Match
      type: object
      required:
        - ontology
        - ontology_id
        - version
        - status
        - concept
        - name
        - match
      title: ConceptHit
      description: A concept found by search.
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.